<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.cpm.lorealbaMabeline">

    <permission
        android:name="com.cpm.lorealbaMabeline.android.permission.SET_TIME"
        android:protectionLevel="signature|system"
        tools:ignore="ReservedSystemPermission" />
    <supports-screens
        android:anyDensity="true"
        android:largeScreens="true"
        android:normalScreens="true"
        android:resizeable="true"
        android:smallScreens="true"
        android:xlargeScreens="true" />

    <!-- Existing Permissions -->
    <uses-permission android:name="android.permission.BLUETOOTH_CONNECT" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.POST_NOTIFICATIONS" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.WAKE_LOCK" />
    <uses-permission android:name="android.permission.WRITE_SYNC_SETTINGS" />
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.hardware.camera.autofocus"/>
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION"/>
    <uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />

    <uses-feature
        android:name="android.hardware.camera"
        android:required="true" />

    <application
        android:name="com.cpm.lorealbaMabeline.LorealBa"
        android:hardwareAccelerated="true"
        android:icon="@mipmap/app_icon_rec"
        android:label="@string/app_name"
        android:largeHeap="true"
        android:roundIcon="@mipmap/app_icon"
        android:supportsRtl="true"
        android:theme="@style/AppTheme"
        android:allowBackup="true"
        android:fullBackupContent="@xml/backup_config"
        tools:replace="android:allowBackup"
        tools:ignore="DataExtractionRules">

        <activity
            android:name="com.cpm.lorealbaMabeline.reports.PerformanceHistoryActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.reports.MeSaleReport"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.dailyactivity.RetailExcellenceActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.makeupexpert.SalesActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.competitionoffer.CompetitionOfferActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.dailyactivity.SkinGeniusScreenshotActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.dailyactivity.SkinGeniusCategoryActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.timer.TimerActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.upload.UploadKeyData"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.upload.ManualUploadActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.consumeractivity.ConsumerReturnReplaceProductActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.reports.SalesReportsActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.reports.ReportDayWiseActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.reports.ReportConsumerWiseActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.reports.ReportConsumerProductWiseActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.dailyactivity.FilledRegularStockDataActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.reports.TargetAchievementActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.promooffer.PromoOffersActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.promooffer.PromoOfferDetailsActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.dailyactivity.MeQuizListActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.dailyactivity.DamagedCategoryActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.pinviewactivity.PinViewActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.dailyactivity.GWPActivity"
            android:exported="false"
            android:label="@string/title_activity_gwp"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.dailyactivity.BAProfileActivity"
            android:exported="false"
            android:label="@string/title_activity_baprofile"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.dailyactivity.VisibilityElimentsActivity"
            android:exported="false"
            android:label="@string/title_activity_visibility_eliments"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.dailyactivity.CounterProfileActivity"
            android:exported="false"
            android:label="@string/title_activity_visibility_eliments"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.dailyactivity.StoreImageActivity"
            android:exported="false"
            android:label="@string/title_activity_store_image"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.dailyactivity.SuggestedStockActivity"
            android:exported="false"
            android:label="@string/title_activity_suggested_stock"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.dailyactivity.DamagedActivity"
            android:exported="false"
            android:label="@string/title_activity_damaged"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.dailyactivity.SampleStockActivity"
            android:exported="false"
            android:label="@string/title_activity_sample_stock"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.dailyactivity.TesterStockActivity"
            android:exported="false"
            android:label="@string/title_activity_tester_stock"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.dailyactivity.GroomedActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="stateHidden"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.dailyactivity.TabLoginActivity"
            android:exported="false"
            android:label="@string/title_activity_change_password"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.UserLoginActivity"
            android:exported="false"
            android:label="@string/title_activity_user_login"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />

        <activity
            android:name="com.cpm.lorealbaMabeline.password.MPinActivity"
            android:exported="false"
            android:label="@string/title_activity_mpin"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.password.ChangePasswordActivity"
            android:exported="false"
            android:label="@string/title_activity_change_password"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.AutoUpdateActivity"
            android:exported="false"
            android:label="@string/title_activity_auto_update"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="stateHidden"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.DealarBoardActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="stateHidden"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.dailyactivity.CounterImageActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="stateHidden"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.IMEILoginActivity"
            android:exported="true"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan"
            tools:ignore="DiscouragedApi,LockedOrientationActivity">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name="com.cpm.lorealbaMabeline.CounterLoginActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.download.DownloadActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="io.github.memfis19.annca.internal.ui.camera.Camera1Activity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/ThemeFullscreen"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" /> <!-- Declaring Service in Manifest -->
        <activity
            android:name="io.github.memfis19.annca.internal.ui.preview.PreviewActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/ThemeFullscreen"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" /> <!-- for custom camera -->
        <activity
            android:name="com.cpm.lorealbaMabeline.dailyactivity.ServiceActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.dailyactivity.ConsumerReturnActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.dailyactivity.StockCheckActivity"
            android:screenOrientation="portrait"
            android:exported="false"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.dailyactivity.NotificationDetailActivity"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.dailyactivity.NotificationsActivity"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.dailyactivity.InWardStockActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.dailyactivity.InwardStockDetailsActivity"
            android:label="@string/title_activity_suggested_stock"
            android:screenOrientation="portrait"
            android:exported="false"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.consumeractivity.InvoiceReportProformaActivity"
            android:screenOrientation="portrait"
            android:exported="false"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.consumeractivity.ConsumerUserDetailsActivity"
            android:screenOrientation="portrait"
            android:exported="false"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.consumeractivity.ConsumerIntractionDetailActivity"
            android:screenOrientation="portrait"
            android:exported="false"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />

        <activity
            android:name="com.cpm.lorealbaMabeline.printer.PrinterActivity"
            android:screenOrientation="portrait"
            android:exported="false"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.printer.DeviceListActivity"
            android:screenOrientation="portrait"
            android:exported="false"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.dailyactivity.ManualInWardStockActivity"
            android:label="@string/title_activity_suggested_stock"
            android:screenOrientation="portrait"
            android:exported="false"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.leavemanagement.ApplyForLeaveActivity"
            android:screenOrientation="portrait"
            android:exported="false"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.leavemanagement.LeaveManagemntActivity"
            android:screenOrientation="portrait"
            android:exported="false"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.breakmanagement.BreakManagementActivity"
            android:screenOrientation="portrait"
            android:exported="false"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />

        <activity
            android:name="com.cpm.lorealbaMabeline.consumeractivity.ConsumerReturnsHistoryActivity"
            android:screenOrientation="portrait"
            android:exported="false"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.reports.MyLibraryActivity"
            android:screenOrientation="portrait"
            android:exported="false"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="stateAlwaysHidden"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.reports.ReportsTop10Value"
            android:screenOrientation="portrait"
            android:exported="false"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="stateAlwaysHidden"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.reports.ReportsActivity"
            android:screenOrientation="portrait"
            android:exported="false"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="stateAlwaysHidden"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.reports.ReportsInwordStock"
            android:screenOrientation="portrait"
            android:exported="false"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="stateAlwaysHidden"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.reports.ReportAttendanceSummaryActivity"
            android:screenOrientation="portrait"
            android:exported="false"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="stateAlwaysHidden"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.reports.TesterReportActivity"
            android:screenOrientation="portrait"
            android:exported="false"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="stateAlwaysHidden"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.reports.KPITrackerActivity"
            android:screenOrientation="portrait"
            android:exported="false"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="stateAlwaysHidden"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.reports.DashbordOffTakeReportActivity"
            android:screenOrientation="portrait"
            android:exported="false"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="stateAlwaysHidden"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.reports.dailyTva.DailyTVAActivity"
            android:screenOrientation="portrait"
            android:exported="false"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="stateAlwaysHidden"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.reports.testerdetails.TesterUsageReportActivity"
            android:screenOrientation="portrait"
            android:exported="false"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="stateAlwaysHidden"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.reports.countervaluevolume.CounterValueVolumeDetailActivity"
            android:screenOrientation="portrait"
            android:exported="false"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="stateAlwaysHidden"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />

        <activity
            android:name="com.cpm.lorealbaMabeline.reports.inwarddetails.CounterInwordDetailActivity"
            android:screenOrientation="portrait"
            android:exported="false"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="stateAlwaysHidden"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.forgotpassword.ForgotpasswordActity"
            android:screenOrientation="portrait"
            android:exported="false"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.reports.ReportBaAvailability"
            android:screenOrientation="portrait"
            android:exported="false"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="stateAlwaysHidden"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.makeupexpert.MakeoverDetailsActivity"
            android:screenOrientation="portrait"
            android:exported="false"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.makeupexpert.MakeoverActivity"
            android:screenOrientation="portrait"
            android:exported="false"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.makeupexpert.MEQuizActivity"
            android:screenOrientation="portrait"
            android:exported="false"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.journeyapps.barcodescanner.CaptureActivity"
            android:screenOrientation="portrait"
            android:exported="false"
            tools:ignore="DiscouragedApi,LockedOrientationActivity"
            tools:replace="screenOrientation" />

        <activity
            android:name="com.cpm.lorealbaMabeline.notification.NotificationView"
            android:label="Details of notification"
            android:parentActivityName="com.cpm.lorealbaMabeline.DealarBoardActivity"
            android:screenOrientation="portrait"
            android:exported="false"
            tools:ignore="DiscouragedApi,LockedOrientationActivity">
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.cpm.lorealbaMabeline.DealarBoardActivity" />
        </activity>
        
        <activity
            android:name="com.cpm.lorealbaMabeline.dailyactivity.BASurveyActivity"
            android:screenOrientation="portrait"
            android:exported="false"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.dailyactivity.BASurveyListActivity"

            android:exported="false"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.cpm.lorealbaMabeline.reports.DamagedStockHistory"
            android:screenOrientation="portrait"
            android:exported="false"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan"
            tools:ignore="DiscouragedApi,LockedOrientationActivity"/>

        <activity
            android:name="com.cpm.lorealbaMabeline.leavemanagement.LeaveCalenderViewActivity"
            android:screenOrientation="portrait"
            android:exported="false"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />

        <activity
            android:name="com.cpm.lorealbaMabeline.geotag.GeoTaggingActivity"
            android:screenOrientation="portrait"
            android:exported="false"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />

        <activity
            android:name="com.cpm.lorealbaMabeline.checkout.BaCheckoutActivity"
            android:screenOrientation="portrait"
            android:exported="false"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />

        <activity
            android:name=".dailyactivity.BaAssessmentActivity"
            android:screenOrientation="portrait"
            android:exported="false"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />

       <!-- <meta-data
            android:name="com.google.android.geo.API_KEY"
            android:value="AIzaSyAJIqKPhsyYTp6WnM387Fri4nLJo4-mOvc"
            />
        android:value="@string/google_geo_api_key"-->

        <meta-data
            android:name="com.google.android.geo.API_KEY"
            android:value="AIzaSyCs2VZqLl4OgStAraUHr8012cUc7vf3Uo8" />

        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="${applicationId}.fileprovider"
            android:exported="false"
            android:grantUriPermissions="true"
            tools:replace="android:authorities">

            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/provider_paths"
                tools:replace="android:resource" />
        </provider>

        <service
            android:name="com.cpm.lorealbaMabeline.service.MyFirebaseMessagingService"
            android:exported="false">
            <intent-filter>
                <action android:name="com.google.firebase.MESSAGING_EVENT" />
            </intent-filter>
        </service>
        <service
            android:name="com.cpm.lorealbaMabeline.download.Downloader"
            android:exported="false"
            android:permission="android.permission.BIND_JOB_SERVICE" />
    </application>

</manifest>